/*
Copyright (C) 2017 Hayakuchi

This file is part of HinesmPaint.

HinesmPaint is free software.
You can redistribute HinesmPaint and/or modify it under the GPL Licence version3 and LGPL Licence version 3.
(GPL text and LGPL text in http://www.gnu.org/licenses/)

このプログラムはフリーソフトです。
あなたはGPLライセンスversion3及びLGPLライセンスversion3の元でこのプログラムを改変、再配布することが可能です。
(GPLとLGPLの内容は http://www.gnu.org/licenses/)にあります)
*/


package hinesm.gazoushori;

import hinesm.imagechenge.*;

public class Shori
{
private Shori()
	{;}
public static void shori(gazoushori.SHORI_MODE nowmode)
	{
switch(nowmode)
		{
case 線を引く:
shoriDrawLine();
break;
case レイヤ関係:
shoriLayer();
break;
case 色置換:
shoriTranceColor();
break;
case 図形描画:
shoriDrawDiaglam();
break;
case 塗りつぶし:
shoriNuritubusi();
break;
		}
	}
public static void shoriDrawLine()
	{
if(gazoushori.getSubPanel().getFreeLine())
		{
gazoushori.getImagePanel().getCanvasPanel().setImage(ImageChenge.overlay(gazoushori.getImagePanel().getCanvasPanel().preparationEditNowImage(),gazoushori.getImagePanel().getDrawingImage()));
gazoushori.getImagePanel().getCanvasPanel().refleshPileImage();
		}
else
		{
int color=0xff000000;
int thick=1;
try
			{
color=ImageChenge.colorTrans(gazoushori.getSubPanel().getColor1());
			}
catch(Exception e)
			{;}
try
			{
thick=Integer.parseInt(gazoushori.getSubPanel().getThick());
			}
catch(Exception e)
			{;}
DrawLineInfo dlinfo=new DrawLineInfo(color,thick);
if(gazoushori.getSubPanel().getAntiAliasMode())
			{
dlinfo.setThick(dlinfo.getThick()*3/2);
ImageChenge.drawAntiAliasLine(gazoushori.getImagePanel().getCanvasPanel().preparationEditNowImage(),Integer.parseInt(gazoushori.getSubPanel().getCenterX()),Integer.parseInt(gazoushori.getSubPanel().getCenterY()),Integer.parseInt(gazoushori.getSubPanel().getSubX()),Integer.parseInt(gazoushori.getSubPanel().getSubY()),dlinfo);
			}
else
			{
ImageChenge.drawThickLine(gazoushori.getImagePanel().getCanvasPanel().preparationEditNowImage(),Integer.parseInt(gazoushori.getSubPanel().getCenterX()),Integer.parseInt(gazoushori.getSubPanel().getCenterY()),Integer.parseInt(gazoushori.getSubPanel().getSubX()),Integer.parseInt(gazoushori.getSubPanel().getSubY()),dlinfo);
			}
gazoushori.getImagePanel().getCanvasPanel().refleshPileImage();
		}
	}
public static void shoriLayer()
	{
gazoushori.getImagePanel().getCanvasPanel().setnowfilter(gazoushori.getSubPanel().getSelectionString());
gazoushori.getImagePanel().getCanvasPanel().refleshPileImage();
	}
public static void shoriTranceColor()
	{
ImageChenge.henkan(getColor1(),getColor2(),gazoushori.getImagePanel().getCanvasPanel().preparationEditNowImage());
gazoushori.getImagePanel().getCanvasPanel().refleshPileImage();
	}
public static void shoriDrawDiaglam()
	{
int color=0;
boolean thoughtflg=false;
int x=getCenterXData();
int y=getCenterYData();
int width=getHalfWidth();
int height=width;
if(gazoushori.getSubPanel().circlerb.getSelection()== 1 ||gazoushori.getSubPanel().circlerb.getSelection()==3)
		{
height=getHalfHeight();
		}
int kaisuu=1;
int dousinhaba=1;
int dousintakasa=1;
if(gazoushori.getSubPanel().circlerb.getSelection()==2 || gazoushori.getSubPanel().circlerb.getSelection()==3)
		{
try
			{
if(gazoushori.getSubPanel().getCircleNum().charAt(0)!='t')
				{
kaisuu=Integer.parseInt(gazoushori.getSubPanel().getCircleNum());
				}
else
				{
thoughtflg=true;
				}
			}
catch(Exception e)
			{
kaisuu=1;
			}
dousinhaba=getHalfWidth();
dousintakasa=dousinhaba;
if(gazoushori.getSubPanel().circlerb.getSelection()==3)
			{
dousintakasa=getDiaglamSpaceHeight();
			}
		}
boolean rangeflg=ImageChenge.CIRCLE_DELTA_WIDTH;
try
		{
if(gazoushori.getSubPanel().getColor1().charAt(0)=='h')
			{
rangeflg=ImageChenge.CIRCLE_DELTA_HEIGHT;
			}
		}
catch(Exception e)
		{;}
color=getColor1();
try
		{
if(thoughtflg)
			{
ImageChenge.drawThought(gazoushori.getImagePanel().getCanvasPanel().preparationEditNowImage(),x,y,width,height,dousinhaba,dousintakasa,rangeflg);
			}
else
			{
ImageChenge.drawCircle(gazoushori.getImagePanel().getCanvasPanel().preparationEditNowImage(),x,y,width,height,kaisuu,dousinhaba,dousintakasa,color);
			}
gazoushori.getImagePanel().getCanvasPanel().refleshPileImage();
		}
catch(Exception e)
		{
System.out.println(e);
		}
	}
public static void shoriNuritubusi()
	{
//int color;
int gx=getCenterXData();
int gy=getCenterYData();
switch(gazoushori.getSubPanel().nuriradio.getSelection())
		{
case 0:
gazoushori.getImagePanel().setNewImage(ImageChenge.nuriTubusi(gazoushori.getImagePanel().getCanvasPanel().preparationEditNowImage(),pressedX(),pressedY(),getColor1(),ImageChenge.NURI_NORMAL,nuriBorder()));
break;
default:
int nurimode=ImageChenge.NURI_NORMAL;
if(gazoushori.getSubPanel().nuriradio.getSelection()==1)
			{
if(gazoushori.getSubPanel().spimg.getSubImageMode()==0)
				{
nurimode=ImageChenge.NURI_TEXTURE;
				}
else
				{
nurimode=ImageChenge.NURI_TEXTURE_REPEAT;
				}
			}
else
			{
if(gazoushori.getSubPanel().spimg.getSubImageMode()==0)

				{
nurimode=ImageChenge.NURI_OVERLAY;
				}
else
				{
nurimode=ImageChenge.NURI_OVERLAY_REPEAT;
				}
			}
if((gazoushori.getSubPanel()!=null) && (gazoushori.getSubPanel().getSubImage()!=null))
			{
gazoushori.getImagePanel().setNewImage(ImageChenge.nuriTubusi(gazoushori.getImagePanel().getCanvasPanel().preparationEditNowImage(),gazoushori.getSubPanel().getSubImage(),gx,gy,nurimode,nuriBorder()));
			}
break;
		}
gazoushori.getImagePanel().getCanvasPanel().refleshPileImage();
	}
private static int getIntegerStatus(String s)
	{
int ret=0;
try
		{
ret=Integer.parseInt(s);
		}
catch(Exception e)
		{
		}
return ret;
	}
private static int getCenterXData()
	{
return getIntegerStatus(gazoushori.getSubPanel().getCenterX());
	}
private static int getCenterYData()
	{
return getIntegerStatus(gazoushori.getSubPanel().getCenterY());
	}
public static int getHalfWidth()
	{
return getIntegerStatus(gazoushori.getSubPanel().getHalfWidth());
	}
public static int getHalfHeight()
	{
return getIntegerStatus(gazoushori.getSubPanel().getHalfHeight());
	}
public static int getDiaglamSpaceHeight()
	{
return getIntegerStatus(gazoushori.getSubPanel().getDiaglamSpaceHeight());
	}
public static int getDiagloamSpaceWidth()
	{
return getIntegerStatus(gazoushori.getSubPanel().getDiaglamSpaceWidth());
	}
public static int getColor1()
	{
int ret=0;
try
		{
if(ImageChenge.canColorTrans(gazoushori.getSubPanel().getColor1()))
			{
ret=ImageChenge.colorTrans(gazoushori.getSubPanel().getColor1());
			}
		}
catch(Exception e){;}
return ret;
	}
public static int getColor2()
	{
int ret=0;
try
		{
if(ImageChenge.canColorTrans(gazoushori.getSubPanel().getColor2()))
			{
ret=ImageChenge.colorTrans(gazoushori.getSubPanel().getColor2());
			}
		}
catch(Exception e){;}
return ret;
	}
public static int nuriBorder()
	{
return gazoushori.getSubPanel().nuriBorder();
	}
public static int pressedX()
	{
return gazoushori.getImagePanel().getCanvasPanel().getPressedX();
	}
public static int pressedY()
	{
return gazoushori.getImagePanel().getCanvasPanel().getPressedY();
	}
}
