/*
Copyright (C) 2017 Hayakuchi

This file is part of HinesmPaint.

HinesmPaint is free software.
You can redistribute HinesmPaint and/or modify it under the GPL Licence version3 and LGPL Licence version 3.
(GPL text and LGPL text in http://www.gnu.org/licenses/)

このプログラムはフリーソフトです。
あなたはGPLライセンスversion3及びLGPLライセンスversion3の元でこのプログラムを改変、再配布することが可能です。
(GPLとLGPLの内容は http://www.gnu.org/licenses/)にあります)
*/
package hinesm.gazoushori.special;

import java.awt.Component;
import java.awt.image.BufferedImage;
import java.awt.event.MouseEvent;
import java.io.File;
import javax.swing.JFileChooser;
import javax.imageio.ImageIO;
import hinesm.gazoushori.gazoushori;
import hinesm.gazoushori.ConfigFileRW;
import hinesm.util.gazobutton.PushButton;
import hinesm.gazoushori.WriteImage;

public final class PButton extends PushButton
{
	
private BufferedImage BI;
private PButton(Component c,int... stetus)
	{
super(c,stetus);
	}
public PButton(String s,Component c,int... stetus)
	{
super(s,c,stetus);
	}
public void setInstansPerformButton(BufferedImage bi)
	{
BI=bi;
	}
@Override
public void perform()
	{
WriteImage.openSaveDialog(BI);
	}
}
