/*
Copyright (C) 2017 Hayakuchi

This file is part of HinesmPaint.

HinesmPaint is free software.
You can redistribute HinesmPaint and/or modify it under the GPL Licence version3 and LGPL Licence version 3.
(GPL text and LGPL text in http://www.gnu.org/licenses/)

このプログラムはフリーソフトです。
あなたはGPLライセンスversion3及びLGPLライセンスversion3の元でこのプログラムを改変、再配布することが可能です。
(GPLとLGPLの内容は http://www.gnu.org/licenses/)にあります)
*/
package hinesm.gazoushori.special;

import hinesm.gazoushori.ConfigFileRW;
import hinesm.util.gazobutton.PushButton;
import hinesm.util.gazobutton.GazoText;
import java.awt.Component;
import java.awt.event.MouseEvent;

class addLayerButton extends PushButton
{
private CanvasPanel managedPanel;

private GazoText wt=null;
private GazoText ht=null;

private addLayerButton(String s,Component c,int... st)
	{
super(s,c,st);
	}
addLayerButton(String s,Component c,CanvasPanel cp,GazoText widthText,GazoText heightText,int... st)
	{
this(s,c,st);
wt=widthText;
ht=heightText;
managedPanel=cp;
	}
@Override
public void perform()
	{
managedPanel.addLayer(textSize(wt,ht,managedPanel.getNowImage().getWidth()),textSize(ht,wt,managedPanel.getNowImage().getHeight()));
try
		{
ConfigFileRW.ConfigList.LAYER_WIDTH.setValue(wt.getTitle());
		}
catch(Exception e){;}
try
		{
ConfigFileRW.ConfigList.LAYER_HEIGHT.setValue(ht.getTitle());
		}
catch(Exception e){;}
	}
private static int textSize(GazoText gt1,GazoText gt2,int defaultSize)
	{
int ret=defaultSize;
try
		{
ret=Integer.parseInt(gt1.getTitle());
		}
catch(Exception e)
		{
try
			{
ret=Integer.parseInt(gt2.getTitle());
			}
catch(Exception f)
			{;}
		}
return ret;
	}
}
