/*
Copyright (C) 2017 Hayakuchi

This file is part of HinesmPaint.

HinesmPaint is free software.
You can redistribute HinesmPaint and/or modify it under the GPL Licence version3 and LGPL Licence version 3.
(GPL text and LGPL text in http://www.gnu.org/licenses/)

このプログラムはフリーソフトです。
あなたはGPLライセンスversion3及びLGPLライセンスversion3の元でこのプログラムを改変、再配布することが可能です。
(GPLとLGPLの内容は http://www.gnu.org/licenses/)にあります)
*/
package hinesm.gazoushori.special;

import hinesm.util.gazobutton.PushButton;
import hinesm.util.gazobutton.GDialog;
import java.awt.Component;
import java.awt.event.MouseEvent;

class removeLayerButton extends PushButton
{
private CanvasPanel managedPanel;
private GDialog dialog;
private int removeLayerNumber;

private removeLayerButton(String s,Component c,int... st)
	{
super(s,c,st);
	}
public removeLayerButton(String s,Component c,CanvasPanel cp,int... st)
	{
this(s,c,st);
managedPanel=cp;
dialog = new GDialog("現在のレイヤを削除しますか？");
dialog.setVisible(false);
	}
@Override
public void usualPerform()
	{
if(dialog.getStatus()==GDialog.DialogStatus.OK)
		{
managedPanel.removeLayer(managedPanel.getNowLayerNumber());
dialog.setStatus(GDialog.DialogStatus.NOT_SELECTING);
		}
	}
@Override
public void perform()
	{
dialog.setVisible(true);
	}
}
