/*
Copyright (C) 2017 Hayakuchi

This file is part of HinesmPaint.

HinesmPaint is free software.
You can redistribute HinesmPaint and/or modify it under the GPL Licence version3 and LGPL Licence version 3.
(GPL text and LGPL text in http://www.gnu.org/licenses/)

このプログラムはフリーソフトです。
あなたはGPLライセンスversion3及びLGPLライセンスversion3の元でこのプログラムを改変、再配布することが可能です。
(GPLとLGPLの内容は http://www.gnu.org/licenses/)にあります)
*/

package hinesm.gazoushori.special;

import java.awt.Component;
import java.awt.event.MouseEvent;
import hinesm.util.gazobutton.PushButton;

public class UndoButton extends PushButton
{
	
protected CanvasPanel dcp;
private UndoButton(Component c,int... st)
	{
super(c,st);
	}
private UndoButton(String s,Component c,int... st)
	{
super(s,c,st);
	}
public UndoButton(CanvasPanel cp,int... st)
	{
super(cp.getDependComponent(),st);
dcp=cp;
setTitle("　　←　　");
	}
@Override
public void perform()
	{
dcp.undo();
	}
}
