/*
Copyright (C) 2017 Hayakuchi

This file is part of HinesmPaint.

HinesmPaint is free software.
You can redistribute HinesmPaint and/or modify it under the GPL Licence version3 and LGPL Licence version 3.
(GPL text and LGPL text in http://www.gnu.org/licenses/)

このプログラムはフリーソフトです。
あなたはGPLライセンスversion3及びLGPLライセンスversion3の元でこのプログラムを改変、再配布することが可能です。
(GPLとLGPLの内容は http://www.gnu.org/licenses/)にあります)
*/

package hinesm.util;

import java.util.ArrayList;

public interface HavePoint
{
	
public abstract int getPoint();
public static void sort(ArrayList<HavePoint> al)
	{
sortList(al,0,(al.size()-1));
	}
public static void sortList(ArrayList<HavePoint> al,int st,int ed)
	{
if((0<=st) && (st<al.size()) && (0<=ed) && (ed<al.size()) && (st<ed))
		{
int ssp=al.get(st).getPoint();
int tradep1=0;
int tradep2=0;
do
			{
HavePoint hp = al.set(tradep1,al.get(tradep2));
al.set(tradep2,hp);
int c=st;
tradep1=-1;
tradep2=-1;
while((tradep1==-1))
				{
if(ssp<=al.get(c).getPoint())
					{
tradep1=c;
					}
else if(c==ed)
					{
tradep1=ed;
					}
c=c+1;
				}
c=ed;
while((tradep2==-1))
				{
if(ssp>al.get(c).getPoint())
					{
tradep2=c;
					}
else if(c==st)
					{
tradep2=st;
					}
c=c-1;
				}
			}
while((tradep1<tradep2)&& (tradep1>=0) && (tradep2>=0));
/*
//入れ替え終わったので、分別して再帰処理
*/
int onaji=0;
while(((tradep1+onaji)<al.size()) && (ssp==al.get(tradep1+onaji).getPoint()))
		{
onaji=onaji+1;
		}
sortList(al,tradep1+onaji,ed);
		}
	}
}
