/*
Copyright (C) 2017 Hayakuchi

This file is part of HinesmPaint.

HinesmPaint is free software.
You can redistribute HinesmPaint and/or modify it under the GPL Licence version3 and LGPL Licence version 3.
(GPL text and LGPL text in http://www.gnu.org/licenses/)

このプログラムはフリーソフトです。
あなたはGPLライセンスversion3及びLGPLライセンスversion3の元でこのプログラムを改変、再配布することが可能です。
(GPLとLGPLの内容は http://www.gnu.org/licenses/)にあります)
*/
package hinesm.util;

import java.awt.Toolkit;

public class UtilPerform
{
private UtilPerform(){;}
/**
 * フォントに設定したいドット数を引数に入れることで、そのドット数に近くなるフォントのポイント値を返します その数値をFont(String
 * name,int style,int size)コンストラクタのsizeに代入してください
 */
public static final int getFontSize(int d)
	{
int s;
try
		{
s = (d * 72 / Toolkit.getDefaultToolkit().getScreenResolution());
		}
catch (Exception e)
		{
e.printStackTrace();
s = 10;
		}
return s;
	}
}
